Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
CompositeNode Class Reference

子ノードの実行を制御するノード。 More...

Inheritance diagram for CompositeNode:

## Public Member Functions
| CompositeNode (NodeGraph nodeGraph, int nodeID, System.Type classType)
| CompositeNodeの生成はBehaviourTreeInternal.CreateComposite(Vector2, System.Type)を使用してください。 More...
CompositeBehaviour | CreateCompositeBehaviour (System.Type classType)
| CompositeBehaviourを作成する。エディタで使用する。 More...
override bool | HasParentLinkSlot ()
| 親へのNodeLinkSlotを持っているかどうか More...
override NodeLinkSlot | GetParentLinkSlot ()
| 親へのNodeLinkSlotを取得。 More...
override bool | HasChildLinkSlot ()
| 子へのNodeLinkSlotを持っているかどうか More...
override string | GetName ()
| ノードの名前を取得 More...
Public Member Functions inherited from TreeBehaviourNode
| TreeBehaviourNode (NodeGraph nodeGraph, int nodeID)
| TreeBehaviourNodeのコンストラクタ More...
Object | GetBehaviourObject ()
| メインのBehaviourのObjectを取得。 More...
Decorator | AddDecorator (System.Type type)
| Decoratorを追加。 More...
T | AddDecorator< T > ()
| Decoratorを追加。 More...
Decorator | InsertDecorator (int index, System.Type type)
| Decoratorを挿入。 More...
T | InsertDecorator< T > (int index)
| Decoratorを挿入。 More...
Service | AddService (System.Type type)
| Serviceを追加。 More...
T | AddService< T > ()
| Serviceを追加。 More...
Service | InsertService (int index, System.Type type)
| Serviceを挿入。 More...
T | InsertService< T > (int index)
| Serviceを挿入。 More...
override bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
void | MoveDecorator (int fromIndex, TreeBehaviourNode toNode, int toIndex)
| Decoratorの順番を移動する。 More...
void | MoveService (int fromIndex, TreeBehaviourNode toNode, int toIndex)
| Serviceの順番を移動する。 More...
void | DestroyBehaviour ()
| Behaviourを破棄。 More...
void | DestroyAllBehaviour ()
| 全てのBehaviourを破棄。 More...
Public Member Functions inherited from TreeNodeBase
| TreeNodeBase (NodeGraph nodeGraph, int nodeID)
| TreeNodeBaseのコンストラクタ More...
override bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Public Attributes
NodeLinkSlot | parentLink = new NodeLinkSlot()
| 親ノードへのリンク More...
List< NodeLinkSlot > | childrenLink = new List<NodeLinkSlot>()
| 子ノードへのリンク More...
string | name = "New Composite"
| ノード名。 More...
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Protected Member Functions
override void | OnExecute ()
| 実行する際に呼ばれる。 More...
Protected Member Functions inherited from TreeBehaviourNode
override void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...
void | SetBehaviour (TreeNodeBehaviour behaviour)
| メインのBehaviourを設定 More...

## Additional Inherited Members
Properties inherited from TreeBehaviourNode
TreeNodeBehaviour | behaviour`[get]`
| メインのBehaviour More...
DecoratorList | decoratorList`[get]`
| Decoratorのリスト More...
ServiceList | serviceList`[get]`
| Serviceのリスト More...
bool | breakPoint`[get, set]`
| Break point. More...
Properties inherited from TreeNodeBase
bool | enablePriority`[get]`
| ルートノードから辿って接続されていればtrueを返す。 More...
int | priority`[get]`
| ノードの優先順位。 More...
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | parentNode`[get]`
| 親ノードを取得。 More...
NodeStatus | status`[get]`
| ノードの状態。 More...
bool | isActive`[get]`
| アクティブならtrueを返す。 More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Detailed Description

子ノードの実行を制御するノード。

## Constructor & Destructor Documentation

CompositeNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID,
|  | System.Type | classType
| ) |  |

CompositeNodeの生成はBehaviourTreeInternal.CreateComposite(Vector2, System.Type)を使用してください。

## Member Function Documentation

CompositeBehaviour CreateCompositeBehaviour | ( | System.Type | classType | ) |

CompositeBehaviourを作成する。エディタで使用する。

override string GetName | ( |  | ) |
| virtual

ノードの名前を取得

Returns
  ノードの名前

Reimplemented from Node.

override NodeLinkSlot GetParentLinkSlot | ( |  | ) |
| virtual

親へのNodeLinkSlotを取得。

Returns
  親へのNodeLinkSlot

Reimplemented from TreeNodeBase.

override bool HasChildLinkSlot | ( |  | ) |
| virtual

子へのNodeLinkSlotを持っているかどうか

Returns
  持っている場合はtrue、なければfalse。

Implements TreeNodeBase.

override bool HasParentLinkSlot | ( |  | ) |
| virtual

親へのNodeLinkSlotを持っているかどうか

Returns
  持っている場合はtrue、なければfalse。

Implements TreeNodeBase.

override void OnExecute | ( |  | ) |
| protected virtual

実行する際に呼ばれる。

Implements TreeNodeBase.

## Member Data Documentation

List<NodeLinkSlot> childrenLink = new List<NodeLinkSlot>()

子ノードへのリンク

string name = "New Composite"

ノード名。

NodeLinkSlot parentLink = new NodeLinkSlot()

親ノードへのリンク